Package ch.qos.logback.core.joran.conditional

## Class PropertyWrapperForScripts

- java.lang.Object
- - ch.qos.logback.core.joran.conditional.PropertyWrapperForScripts

    public class PropertyWrapperForScripts
    extends java.lang.Object

### Constructor Summary

Constructors
`PropertyWrapperForScripts()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isDefined​(java.lang.String k)`
`boolean` `isNull​(java.lang.String k)`
`java.lang.String` `p​(java.lang.String k)`
`java.lang.String` `property​(java.lang.String k)`
`void` `setPropertyContainers​(PropertyContainer local, PropertyContainer context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyWrapperForScripts

    public PropertyWrapperForScripts()

### Method Detail

#### setPropertyContainers

    public void setPropertyContainers​(PropertyContainer local,
                                      PropertyContainer context)

#### isNull

    public boolean isNull​(java.lang.String k)

#### isDefined

    public boolean isDefined​(java.lang.String k)

#### p

    public java.lang.String p​(java.lang.String k)

#### property

    public java.lang.String property​(java.lang.String k)